from buildbot.plugins import steps, util

factory = util.BuildFactory()
factory.addStep(steps.ShellCommand(command=['git', 'clone', '--branch', 'master',
					    'https://git.blackfinn.de/docker/bicycle-statistics.git']))
factory.addStep(steps.ShellCommand(command=['docker', 'build', '--no-cache', '-t', 'bicycle-statistics',
					    './bicycle-statistics']))
factory.addStep(steps.ShellCommand(command=['docker', 'rm', '-f', 'bicycle-statistics']))
factory.addStep(steps.ShellCommand(command=['docker', 'run', '-d', '-v', '/srv/nextcloud/data/tkl/files/Bicycle:/bs_in',
					    '-v', '/srv/bicycle.blackfinn.de/data:/bs_out', '--name',
					    'bicycle-statistics', '--restart', 'always', 'bicycle-statistics']))

builder = util.BuilderConfig(name='bicycle_statistics', workernames=["buildbot-cpp-worker"],
                             factory=factory)

def append(builders):
    builders.append(builder)
    return builders

